## UDisksManagerISCSIInitiator UDisksManagerISCSIInitiator — Generated C code for the org.freedesktop.UDisks2.Manager.ISCSI.Initiator D-Bus interface |

## Functions

void | udisks_manager_iscsi_initiator_proxy_new ()
UDisksManagerISCSIInitiator * | udisks_manager_iscsi_initiator_proxy_new_finish ()
UDisksManagerISCSIInitiator * | udisks_manager_iscsi_initiator_proxy_new_sync ()
void | udisks_manager_iscsi_initiator_proxy_new_for_bus ()
UDisksManagerISCSIInitiator * | udisks_manager_iscsi_initiator_proxy_new_for_bus_finish ()
UDisksManagerISCSIInitiator * | udisks_manager_iscsi_initiator_proxy_new_for_bus_sync ()
gboolean | udisks_manager_iscsi_initiator_get_sessions_supported ()
void | udisks_manager_iscsi_initiator_set_sessions_supported ()
void | udisks_manager_iscsi_initiator_call_discover_firmware ()
gboolean | udisks_manager_iscsi_initiator_call_discover_firmware_finish ()
gboolean | udisks_manager_iscsi_initiator_call_discover_firmware_sync ()
void | udisks_manager_iscsi_initiator_call_discover_send_targets ()
gboolean | udisks_manager_iscsi_initiator_call_discover_send_targets_finish ()
gboolean | udisks_manager_iscsi_initiator_call_discover_send_targets_sync ()
void | udisks_manager_iscsi_initiator_call_get_firmware_initiator_name ()
gboolean | udisks_manager_iscsi_initiator_call_get_firmware_initiator_name_finish ()
gboolean | udisks_manager_iscsi_initiator_call_get_firmware_initiator_name_sync ()
void | udisks_manager_iscsi_initiator_call_get_initiator_name ()
gboolean | udisks_manager_iscsi_initiator_call_get_initiator_name_finish ()
gboolean | udisks_manager_iscsi_initiator_call_get_initiator_name_sync ()
void | udisks_manager_iscsi_initiator_call_get_initiator_name_raw ()
gboolean | udisks_manager_iscsi_initiator_call_get_initiator_name_raw_finish ()
gboolean | udisks_manager_iscsi_initiator_call_get_initiator_name_raw_sync ()
void | udisks_manager_iscsi_initiator_call_login ()
gboolean | udisks_manager_iscsi_initiator_call_login_finish ()
gboolean | udisks_manager_iscsi_initiator_call_login_sync ()
void | udisks_manager_iscsi_initiator_call_logout ()
gboolean | udisks_manager_iscsi_initiator_call_logout_finish ()
gboolean | udisks_manager_iscsi_initiator_call_logout_sync ()
void | udisks_manager_iscsi_initiator_call_set_initiator_name ()
gboolean | udisks_manager_iscsi_initiator_call_set_initiator_name_finish ()
gboolean | udisks_manager_iscsi_initiator_call_set_initiator_name_sync ()
void | udisks_manager_iscsi_initiator_complete_discover_firmware ()
void | udisks_manager_iscsi_initiator_complete_discover_send_targets ()
void | udisks_manager_iscsi_initiator_complete_get_firmware_initiator_name ()
void | udisks_manager_iscsi_initiator_complete_get_initiator_name ()
void | udisks_manager_iscsi_initiator_complete_get_initiator_name_raw ()
void | udisks_manager_iscsi_initiator_complete_login ()
void | udisks_manager_iscsi_initiator_complete_logout ()
void | udisks_manager_iscsi_initiator_complete_set_initiator_name ()
UDisksManagerISCSIInitiator * | udisks_manager_iscsi_initiator_skeleton_new ()

## Properties

gboolean | sessions-supported | Read / Write

## Signals

gboolean | handle-discover-firmware | Run Last
gboolean | handle-discover-send-targets | Run Last
gboolean | handle-get-firmware-initiator-name | Run Last
gboolean | handle-get-initiator-name | Run Last
gboolean | handle-get-initiator-name-raw | Run Last
gboolean | handle-login | Run Last
gboolean | handle-logout | Run Last
gboolean | handle-set-initiator-name | Run Last

## Types and Values

| UDisksManagerISCSIInitiator
struct | UDisksManagerISCSIInitiatorProxy
struct | UDisksManagerISCSIInitiatorProxyClass
struct | UDisksManagerISCSIInitiatorSkeleton
struct | UDisksManagerISCSIInitiatorSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksManagerISCSIInitiator
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksManagerISCSIInitiatorSkeleton
        ╰── GDBusProxy
            ╰── UDisksManagerISCSIInitiatorProxy

## Prerequisites

UDisksManagerISCSIInitiator requires GObject.

## Implemented Interfaces

UDisksManagerISCSIInitiatorProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksManagerISCSIInitiator.

UDisksManagerISCSIInitiatorSkeleton implements GDBusInterface and UDisksManagerISCSIInitiator.

## Known Implementations

UDisksManagerISCSIInitiator is implemented by UDisksManagerISCSIInitiatorProxy and UDisksManagerISCSIInitiatorSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Manager.ISCSI.Initiator D-Bus interface in C.

## Functions

### udisks_manager_iscsi_initiator_proxy_new ()

    void
    udisks_manager_iscsi_initiator_proxy_new
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.ISCSI.Initiator. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_proxy_new_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.1

### udisks_manager_iscsi_initiator_proxy_new_finish ()

    UDisksManagerISCSIInitiator *
    udisks_manager_iscsi_initiator_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerISCSIInitiatorProxy]

Since: 2.0.1

### udisks_manager_iscsi_initiator_proxy_new_sync ()

    UDisksManagerISCSIInitiator *
    udisks_manager_iscsi_initiator_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.ISCSI.Initiator. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerISCSIInitiatorProxy]

Since: 2.0.1

### udisks_manager_iscsi_initiator_proxy_new_for_bus ()

    void
    udisks_manager_iscsi_initiator_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_manager_iscsi_initiator_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.1

### udisks_manager_iscsi_initiator_proxy_new_for_bus_finish ()

    UDisksManagerISCSIInitiator *
    udisks_manager_iscsi_initiator_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerISCSIInitiatorProxy]

Since: 2.0.1

### udisks_manager_iscsi_initiator_proxy_new_for_bus_sync ()

    UDisksManagerISCSIInitiator *
    udisks_manager_iscsi_initiator_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_manager_iscsi_initiator_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerISCSIInitiatorProxy]

Since: 2.0.1

### udisks_manager_iscsi_initiator_get_sessions_supported ()

    gboolean
    udisks_manager_iscsi_initiator_get_sessions_supported
                                   (UDisksManagerISCSIInitiator *object);

Gets the value of the "SessionsSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksManagerISCSIInitiator. |

#### Returns

The property value.

Since: 2.0.1

### udisks_manager_iscsi_initiator_set_sessions_supported ()

    void
    udisks_manager_iscsi_initiator_set_sessions_supported
                                   (UDisksManagerISCSIInitiator *object,
                                    gboolean value);

Sets the "SessionsSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksManagerISCSIInitiator. |
value | The value to set. |

Since: 2.0.1

### udisks_manager_iscsi_initiator_call_discover_firmware ()

    void
    udisks_manager_iscsi_initiator_call_discover_firmware
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `DiscoverFirmware()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_call_discover_firmware_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_call_discover_firmware_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_discover_firmware_finish ()

    gboolean
    udisks_manager_iscsi_initiator_call_discover_firmware_finish
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GVariant **out_nodes,
                                    gint *out_nodes_cnt,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_call_discover_firmware()`.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
out_nodes | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_nodes_cnt | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_call_discover_firmware()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_discover_firmware_sync ()

    gboolean
    udisks_manager_iscsi_initiator_call_discover_firmware_sync
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GVariant *arg_options,
                                    GVariant **out_nodes,
                                    gint *out_nodes_cnt,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `DiscoverFirmware()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_call_discover_firmware()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_options | Argument to pass with the method invocation. |
out_nodes | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_nodes_cnt | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_discover_send_targets ()

    void
    udisks_manager_iscsi_initiator_call_discover_send_targets
                                   (UDisksManagerISCSIInitiator *proxy,
                                    const gchar *arg_address,
                                    guint16 arg_port,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `DiscoverSendTargets()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_call_discover_send_targets_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_call_discover_send_targets_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_address | Argument to pass with the method invocation. |
arg_port | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.3.1

### udisks_manager_iscsi_initiator_call_discover_send_targets_finish ()

    gboolean
    udisks_manager_iscsi_initiator_call_discover_send_targets_finish
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GVariant **out_nodes,
                                    gint *out_nodes_cnt,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_call_discover_send_targets()`.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
out_nodes | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_nodes_cnt | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_call_discover_send_targets()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.1

### udisks_manager_iscsi_initiator_call_discover_send_targets_sync ()

    gboolean
    udisks_manager_iscsi_initiator_call_discover_send_targets_sync
                                   (UDisksManagerISCSIInitiator *proxy,
                                    const gchar *arg_address,
                                    guint16 arg_port,
                                    GVariant *arg_options,
                                    GVariant **out_nodes,
                                    gint *out_nodes_cnt,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `DiscoverSendTargets()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_call_discover_send_targets()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_address | Argument to pass with the method invocation. |
arg_port | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_nodes | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_nodes_cnt | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.1

### udisks_manager_iscsi_initiator_call_get_firmware_initiator_name ()

    void
    udisks_manager_iscsi_initiator_call_get_firmware_initiator_name
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetFirmwareInitiatorName()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_call_get_firmware_initiator_name_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_call_get_firmware_initiator_name_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.4.0

### udisks_manager_iscsi_initiator_call_get_firmware_initiator_name_finish ()

    gboolean
    udisks_manager_iscsi_initiator_call_get_firmware_initiator_name_finish
                                   (UDisksManagerISCSIInitiator *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_call_get_firmware_initiator_name()`.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_call_get_firmware_initiator_name()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.4.0

### udisks_manager_iscsi_initiator_call_get_firmware_initiator_name_sync ()

    gboolean
    udisks_manager_iscsi_initiator_call_get_firmware_initiator_name_sync
                                   (UDisksManagerISCSIInitiator *proxy,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetFirmwareInitiatorName()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_call_get_firmware_initiator_name()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.4.0

### udisks_manager_iscsi_initiator_call_get_initiator_name ()

    void
    udisks_manager_iscsi_initiator_call_get_initiator_name
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetInitiatorName()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_call_get_initiator_name_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_call_get_initiator_name_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.1

### udisks_manager_iscsi_initiator_call_get_initiator_name_finish ()

    gboolean
    udisks_manager_iscsi_initiator_call_get_initiator_name_finish
                                   (UDisksManagerISCSIInitiator *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_call_get_initiator_name()`.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_call_get_initiator_name()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.1

### udisks_manager_iscsi_initiator_call_get_initiator_name_sync ()

    gboolean
    udisks_manager_iscsi_initiator_call_get_initiator_name_sync
                                   (UDisksManagerISCSIInitiator *proxy,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetInitiatorName()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_call_get_initiator_name()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.1

### udisks_manager_iscsi_initiator_call_get_initiator_name_raw ()

    void
    udisks_manager_iscsi_initiator_call_get_initiator_name_raw
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetInitiatorNameRaw()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_call_get_initiator_name_raw_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_call_get_initiator_name_raw_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.3

### udisks_manager_iscsi_initiator_call_get_initiator_name_raw_finish ()

    gboolean
    udisks_manager_iscsi_initiator_call_get_initiator_name_raw_finish
                                   (UDisksManagerISCSIInitiator *proxy,
                                    gchar **out_result,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_call_get_initiator_name_raw()`.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_call_get_initiator_name_raw()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.3

### udisks_manager_iscsi_initiator_call_get_initiator_name_raw_sync ()

    gboolean
    udisks_manager_iscsi_initiator_call_get_initiator_name_raw_sync
                                   (UDisksManagerISCSIInitiator *proxy,
                                    gchar **out_result,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetInitiatorNameRaw()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_call_get_initiator_name_raw()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
out_result | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.3

### udisks_manager_iscsi_initiator_call_login ()

    void
    udisks_manager_iscsi_initiator_call_login
                                   (UDisksManagerISCSIInitiator *proxy,
                                    const gchar *arg_name,
                                    gint arg_tpgt,
                                    const gchar *arg_address,
                                    gint arg_port,
                                    const gchar *arg_iface,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Login()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_call_login_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_call_login_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_name | Argument to pass with the method invocation. |
arg_tpgt | Argument to pass with the method invocation. |
arg_address | Argument to pass with the method invocation. |
arg_port | Argument to pass with the method invocation. |
arg_iface | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_login_finish ()

    gboolean
    udisks_manager_iscsi_initiator_call_login_finish
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_call_login()`.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_call_login()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_login_sync ()

    gboolean
    udisks_manager_iscsi_initiator_call_login_sync
                                   (UDisksManagerISCSIInitiator *proxy,
                                    const gchar *arg_name,
                                    gint arg_tpgt,
                                    const gchar *arg_address,
                                    gint arg_port,
                                    const gchar *arg_iface,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Login()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_call_login()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_name | Argument to pass with the method invocation. |
arg_tpgt | Argument to pass with the method invocation. |
arg_address | Argument to pass with the method invocation. |
arg_port | Argument to pass with the method invocation. |
arg_iface | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_logout ()

    void
    udisks_manager_iscsi_initiator_call_logout
                                   (UDisksManagerISCSIInitiator *proxy,
                                    const gchar *arg_name,
                                    gint arg_tpgt,
                                    const gchar *arg_address,
                                    gint arg_port,
                                    const gchar *arg_iface,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Logout()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_call_logout_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_call_logout_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_name | Argument to pass with the method invocation. |
arg_tpgt | Argument to pass with the method invocation. |
arg_address | Argument to pass with the method invocation. |
arg_port | Argument to pass with the method invocation. |
arg_iface | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_logout_finish ()

    gboolean
    udisks_manager_iscsi_initiator_call_logout_finish
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_call_logout()`.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_call_logout()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_logout_sync ()

    gboolean
    udisks_manager_iscsi_initiator_call_logout_sync
                                   (UDisksManagerISCSIInitiator *proxy,
                                    const gchar *arg_name,
                                    gint arg_tpgt,
                                    const gchar *arg_address,
                                    gint arg_port,
                                    const gchar *arg_iface,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Logout()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_call_logout()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_name | Argument to pass with the method invocation. |
arg_tpgt | Argument to pass with the method invocation. |
arg_address | Argument to pass with the method invocation. |
arg_port | Argument to pass with the method invocation. |
arg_iface | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_set_initiator_name ()

    void
    udisks_manager_iscsi_initiator_call_set_initiator_name
                                   (UDisksManagerISCSIInitiator *proxy,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetInitiatorName()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_iscsi_initiator_call_set_initiator_name_finish()` to get the result of the operation.

See `udisks_manager_iscsi_initiator_call_set_initiator_name_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_set_initiator_name_finish ()

    gboolean
    udisks_manager_iscsi_initiator_call_set_initiator_name_finish
                                   (UDisksManagerISCSIInitiator *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_iscsi_initiator_call_set_initiator_name()`.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_iscsi_initiator_call_set_initiator_name()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_manager_iscsi_initiator_call_set_initiator_name_sync ()

    gboolean
    udisks_manager_iscsi_initiator_call_set_initiator_name_sync
                                   (UDisksManagerISCSIInitiator *proxy,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetInitiatorName()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_iscsi_initiator_call_set_initiator_name()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerISCSIInitiatorProxy. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.1.3

### udisks_manager_iscsi_initiator_complete_discover_firmware ()

    void
    udisks_manager_iscsi_initiator_complete_discover_firmware
                                   (UDisksManagerISCSIInitiator *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *nodes,
                                    gint nodes_cnt);

Helper function used in service implementations to finish handling invocations of the `DiscoverFirmware()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. | [transfer full]
nodes | Parameter to return. |
nodes_cnt | Parameter to return. |

Since: 2.1.3

### udisks_manager_iscsi_initiator_complete_discover_send_targets ()

    void
    udisks_manager_iscsi_initiator_complete_discover_send_targets
                                   (UDisksManagerISCSIInitiator *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *nodes,
                                    gint nodes_cnt);

Helper function used in service implementations to finish handling invocations of the `DiscoverSendTargets()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. | [transfer full]
nodes | Parameter to return. |
nodes_cnt | Parameter to return. |

Since: 2.3.1

### udisks_manager_iscsi_initiator_complete_get_firmware_initiator_name ()

    void
    udisks_manager_iscsi_initiator_complete_get_firmware_initiator_name
                                   (UDisksManagerISCSIInitiator *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `GetFirmwareInitiatorName()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.4.0

### udisks_manager_iscsi_initiator_complete_get_initiator_name ()

    void
    udisks_manager_iscsi_initiator_complete_get_initiator_name
                                   (UDisksManagerISCSIInitiator *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `GetInitiatorName()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.0.1

### udisks_manager_iscsi_initiator_complete_get_initiator_name_raw ()

    void
    udisks_manager_iscsi_initiator_complete_get_initiator_name_raw
                                   (UDisksManagerISCSIInitiator *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *result);

Helper function used in service implementations to finish handling invocations of the `GetInitiatorNameRaw()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. | [transfer full]
result | Parameter to return. |

Since: 2.8.3

### udisks_manager_iscsi_initiator_complete_login ()

    void
    udisks_manager_iscsi_initiator_complete_login
                                   (UDisksManagerISCSIInitiator *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Login()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.1.3

### udisks_manager_iscsi_initiator_complete_logout ()

    void
    udisks_manager_iscsi_initiator_complete_logout
                                   (UDisksManagerISCSIInitiator *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Logout()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.1.3

### udisks_manager_iscsi_initiator_complete_set_initiator_name ()

    void
    udisks_manager_iscsi_initiator_complete_set_initiator_name
                                   (UDisksManagerISCSIInitiator *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetInitiatorName()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.1.3

### udisks_manager_iscsi_initiator_skeleton_new ()

    UDisksManagerISCSIInitiator *
    udisks_manager_iscsi_initiator_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Manager.ISCSI.Initiator.

#### Returns

The skeleton object.

[transfer full][type UDisksManagerISCSIInitiatorSkeleton]

Since: 2.0.1

## Types and Values

### UDisksManagerISCSIInitiator

    typedef struct _UDisksManagerISCSIInitiator UDisksManagerISCSIInitiator;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Manager.ISCSI.Initiator.

Since: 2.0.1

### struct UDisksManagerISCSIInitiatorProxy

    struct UDisksManagerISCSIInitiatorProxy;

The UDisksManagerISCSIInitiatorProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.0.1

### struct UDisksManagerISCSIInitiatorProxyClass

    struct UDisksManagerISCSIInitiatorProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksManagerISCSIInitiatorProxy.

#### Members

Since: 2.0.1

### struct UDisksManagerISCSIInitiatorSkeleton

    struct UDisksManagerISCSIInitiatorSkeleton;

The UDisksManagerISCSIInitiatorSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.0.1

### struct UDisksManagerISCSIInitiatorSkeletonClass

    struct UDisksManagerISCSIInitiatorSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksManagerISCSIInitiatorSkeleton.

#### Members

Since: 2.0.1

## Property Details

### The `“sessions-supported”` property

      “sessions-supported”       gboolean

Represents the D-Bus property "SessionsSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksManagerISCSIInitiator

Flags: Read / Write

Default value: FALSE

Since: 2.0.1

## Signal Details

### The `“handle-discover-firmware”` signal

    gboolean
    user_function (UDisksManagerISCSIInitiator *object,
                   GDBusMethodInvocation       *invocation,
                   GVariant                    *arg_options,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `DiscoverFirmware()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_iscsi_initiator_complete_discover_firmware()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3

### The `“handle-discover-send-targets”` signal

    gboolean
    user_function (UDisksManagerISCSIInitiator *object,
                   GDBusMethodInvocation       *invocation,
                   char                        *arg_address,
                   guint                        arg_port,
                   GVariant                    *arg_options,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `DiscoverSendTargets()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_iscsi_initiator_complete_discover_send_targets()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. |
arg_address | Argument passed by remote caller. |
arg_port | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.3.1

### The `“handle-get-firmware-initiator-name”` signal

    gboolean
    user_function (UDisksManagerISCSIInitiator *object,
                   GDBusMethodInvocation       *invocation,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `GetFirmwareInitiatorName()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_iscsi_initiator_complete_get_firmware_initiator_name()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.4.0

### The `“handle-get-initiator-name”` signal

    gboolean
    user_function (UDisksManagerISCSIInitiator *object,
                   GDBusMethodInvocation       *invocation,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `GetInitiatorName()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_iscsi_initiator_complete_get_initiator_name()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.0.1

### The `“handle-get-initiator-name-raw”` signal

    gboolean
    user_function (UDisksManagerISCSIInitiator *object,
                   GDBusMethodInvocation       *invocation,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `GetInitiatorNameRaw()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_iscsi_initiator_complete_get_initiator_name_raw()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.3

### The `“handle-login”` signal

    gboolean
    user_function (UDisksManagerISCSIInitiator *object,
                   GDBusMethodInvocation       *invocation,
                   char                        *arg_name,
                   int                          arg_tpgt,
                   char                        *arg_address,
                   int                          arg_port,
                   char                        *arg_iface,
                   GVariant                    *arg_options,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `Login()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_iscsi_initiator_complete_login()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_tpgt | Argument passed by remote caller. |
arg_address | Argument passed by remote caller. |
arg_port | Argument passed by remote caller. |
arg_iface | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3

### The `“handle-logout”` signal

    gboolean
    user_function (UDisksManagerISCSIInitiator *object,
                   GDBusMethodInvocation       *invocation,
                   char                        *arg_name,
                   int                          arg_tpgt,
                   char                        *arg_address,
                   int                          arg_port,
                   char                        *arg_iface,
                   GVariant                    *arg_options,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `Logout()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_iscsi_initiator_complete_logout()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_tpgt | Argument passed by remote caller. |
arg_address | Argument passed by remote caller. |
arg_port | Argument passed by remote caller. |
arg_iface | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3

### The `“handle-set-initiator-name”` signal

    gboolean
    user_function (UDisksManagerISCSIInitiator *object,
                   GDBusMethodInvocation       *invocation,
                   char                        *arg_name,
                   GVariant                    *arg_options,
                   gpointer                     user_data)

Signal emitted when a remote caller is invoking the `SetInitiatorName()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_iscsi_initiator_complete_set_initiator_name()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerISCSIInitiator. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.1.3